<div>
	<simple-notifications></simple-notifications>

	<app-layout-header></app-layout-header>

	<mat-sidenav-container class="container-fluid side-bar-layout-container" autosize>
		
		<mat-sidenav mode="side" opened class="side-bar" [ngClass]="{'side-menu-open': toggleState, 'side-menu-collapsed': !toggleState}" *ngIf="isLoggedIn">
			<div class="menu-icon">
				<fa-icon (click)="toggleSideMenuBar()" [icon]="faBars"></fa-icon>
			</div>
			<mat-nav-list>
				<div *ngFor="let link of links" [ngClass]="link.className">
					<div *ngIf="!link.items">
						<a mat-list-item routerLink={{link.path}} routerLinkActive="active-link" [routerLinkActiveOptions]="{exact:true}">
							<fa-icon *ngIf="link.icon" [icon]=link.icon class="nav-icon"></fa-icon>
							<span *ngIf="toggleState">{{link.label}}</span>
						</a>
					</div>
					<div *ngIf="link.items" class="side-bar-accordion">
						<mat-accordion>
							<mat-expansion-panel expanded={{link.expanded}}>
								<mat-expansion-panel-header (click)="toggleLink(link)">
									<mat-panel-title>
										<fa-icon *ngIf="link.icon" [icon]=link.icon class="nav-icon"></fa-icon>
										<span *ngIf="toggleState">{{link.label}}</span>
									</mat-panel-title>
								</mat-expansion-panel-header>
								<a mat-list-item *ngFor="let link of link.items" routerLink={{link.path}} routerLinkActive="active-link" [routerLinkActiveOptions]="{exact:true}">
									<fa-icon *ngIf="link.icon" [icon]=link.icon class="nav-icon"></fa-icon>
									<span *ngIf="toggleState">{{link.label}}</span>
								</a>
							</mat-expansion-panel>
						</mat-accordion>
					</div>
				</div>
			</mat-nav-list>
		</mat-sidenav>

		<mat-sidenav-content class="side-bar-content-layout" [ngClass]="{'content-open': toggleState, 'content-collapsed': !toggleState}">
			<router-outlet></router-outlet>
		</mat-sidenav-content>

	</mat-sidenav-container>
</div>